#
# spec file for package telegram-purple
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           telegram-purple
Version:        1.2.6
Release:        1.1
Summary:        Plugin for Pidgin, which supports Telegram messager
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Networking/Instant Messenger
Url:            https://github.com/majn/telegram-purple
Source:         https://github.com/majn/telegram-purple/releases/download/v%{version}/%{name}_%{version}.orig.tar.gz
BuildRequires:  intltool
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Pidgin plugin that adds support for the Telegram messenger.

%prep
%setup -q -n %{name}

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang telegram-purple

%files -f telegram-purple.lang
%defattr(-,root,root)
%doc CHANGELOG.md README.md COPYING AUTHORS
%config %{_sysconfdir}/telegram-purple/
%{_libdir}/purple-2/telegram-purple.so
%{_datadir}/appdata/telegram-purple.metainfo.xml
%dir %{_datadir}/pixmaps/pidgin/
%dir %{_datadir}/pixmaps/pidgin/protocols/
%{_datadir}/pixmaps/pidgin/protocols/16
%{_datadir}/pixmaps/pidgin/protocols/22
%{_datadir}/pixmaps/pidgin/protocols/48

%changelog
* Sun Jul  3 2016 mailaender@opensuse.org
- update to version 1.2.6, see included CHANGELOG.md
* Sun Mar  6 2016 mailaender@opensuse.org
- update to version 1.2.5, see included CHANGELOG.md
* Tue Sep 22 2015 dmitry_r@opensuse.org
- Update to version 1.2.1, see included CHANGELOG.md
* Fri Nov  7 2014 dmitry_r@opensuse.org
- Initial package, version 0.3.3
